package org.springblade.estate.feign;

import org.springblade.core.mp.support.BladePage;
import org.springblade.core.tool.api.R;
import org.springblade.estate.dto.RepairDTO;
import org.springblade.estate.entity.Repair;
import org.springblade.estate.vo.RepairVO;
import org.springframework.stereotype.Component;
import java.util.List;

@Component
public class RepairClientFallback implements IRepairClient {
            /**
         * 详情
         */
        @Override
        public RepairVO detail(Repair repair) {
            return null;
        }

        /**
         * 查询 报事工单
         */
        @Override
        public List<RepairVO> list(Repair repair) {
            return null;
        }



        /**
         * 新增 报事工单
         */
        @Override
        public boolean save( Repair repair) {
            return false;
        }

        /**
         * 修改 报事工单
         */
        @Override
        public boolean update( Repair repair) {
            return false;
        }

        /**
         * 新增或修改 报事工单
         */
        @Override
        public boolean submit( Repair repair) {
            return false;
        }


        /**
         * 删除 报事工单
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

	@Override
	public R<BladePage<RepairVO>> page(RepairDTO repairDTO) {
		return null;
	}

}
